Skip to main content
GET
/
api
/
v1
/
tasks
/
by-identifier
/
{identifier}
Get a task by its human-readable identifier (e.g., PROJ-42).
curl --request GET \
  --url https://api.backside.app/api/v1/tasks/by-identifier/{identifier} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": "<unknown>",
  "position": 123,
  "priority": "<string>",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "assignee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "canceled_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deadline": "2023-12-25",
  "deleted_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "due_at": "2023-11-07T05:31:56Z",
  "due_date": "2023-12-25",
  "estimation_minutes": 123,
  "identifier": "<string>",
  "next_occurrence": "2023-11-07T05:31:56Z",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rrule": "<string>",
  "section_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "snoozed_until": "2023-11-07T05:31:56Z",
  "start_date": "2023-12-25",
  "status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "time_spent_minutes": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

identifier
string
required

Task identifier (e.g. PROJ-42)

Response

created_at
string<date-time>
required
id
string<uuid>
required
metadata
any
required
position
integer<int32>
required
priority
string
required
tenant_id
string<uuid>
required
title
string
required
updated_at
string<date-time>
required
assignee_id
string<uuid> | null
canceled_at
string<date-time> | null
completed_at
string<date-time> | null
creator_id
string<uuid> | null
deadline
string<date> | null
deleted_at
string<date-time> | null
description
string | null
due_at
string<date-time> | null
due_date
string<date> | null
estimation_minutes
integer<int32> | null
identifier
string | null
next_occurrence
string<date-time> | null
parent_id
string<uuid> | null
project_id
string<uuid> | null
rrule
string | null
section_id
string<uuid> | null
snoozed_until
string<date-time> | null
start_date
string<date> | null
status_id
string<uuid> | null
time_spent_minutes
integer<int32> | null